Index: frontend/src/App.js
===================================================================
--- frontend/src/App.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/App.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -6,5 +6,5 @@
 import {Spin} from "antd";
 import React, {useEffect, useState} from "react";
-import {Login, Register} from "./auth";
+import {Login, Register} from "./Auth/auth";
 import Dashboard from "./Dashboard";
 import Reservations from "./Dashboard/Reservations";
@@ -13,9 +13,13 @@
 import Menu from "./Dashboard/Menu";
 import Review from "./Dashboard/Review";
+import Confirm from "./Auth/Confirm";
+import SendConfirm from "./Auth/SendConfirm";
+import SendReset from "./Auth/SendReset";
+import Reset from "./Auth/Reset";
 
 
 function App() {
   const [user, setUser] = useState(undefined)
-  const [loading, setLoading] = useState(false)
+  const [loading, setLoading] = useState(true)
   useEffect(()=>{
     getUser()
@@ -24,6 +28,6 @@
   const getUser = () => {
     setLoading(true)
-    axios.get(env.api+'Users/authed',{headers:{Authorization:sessionStorage.getItem('Auth')}}).then(res=>{
-      console.log(!res.data)
+    axios.get(env.api+'Users/authed',{headers:{Authorization:localStorage.getItem('Auth')}}).then(res=>{
+      console.log(res.data)
       setUser(res.data)
       setLoading(false)
@@ -32,5 +36,5 @@
   const logout = () => {
     setUser(undefined);
-    sessionStorage.removeItem('Auth');
+    localStorage.removeItem('Auth');
     window.location.replace('/')
   }
@@ -48,4 +52,8 @@
             <Route path="/login" element={loading ? <Spin /> :  !user ? <Login setUser={setUser}/> :  <Navigate to="/dashboard" replace={true} />}/>
             <Route path="/register" element={loading ? <Spin /> :  !user ? <Register setUser={setUser}/> :  <Navigate to="/dashboard" replace={true} />}/>
+            <Route path="/reset-password" element={loading ? <Spin /> : <SendReset/>}/>
+            <Route path="/reset" element={loading ? <Spin /> : <Reset/>}/>
+            <Route path="/confirm" element={loading ? <Spin /> : <Confirm setUser={setUser} user={user}/>}/>
+            <Route path="/confirm-email" element={loading ? <Spin /> : <SendConfirm setUser={setUser} user={user}/>}/>
             <Route path="/" element={<FrontPage user={user} logout={logout}/>}/>
           </Routes>
Index: frontend/src/Auth/Confirm.js
===================================================================
--- frontend/src/Auth/Confirm.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
+++ frontend/src/Auth/Confirm.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -0,0 +1,47 @@
+import React, {useEffect, useState} from 'react'
+import {Header} from "../Header";
+import {Modal, notification, Spin} from "antd";
+import {useLocation} from "react-router";
+import {useNavigate, useSearchParams} from "react-router-dom";
+import axios from "axios";
+import env from "../env";
+
+const Confirm = ({setUser, user}) => {
+
+    const history = useNavigate()
+    const [result, setResult] = useState("")
+    const [searchParams, setSearchParams] = useSearchParams();
+
+    useEffect(()=>{
+        const param = searchParams.get("id");
+        if(param==null){
+            setResult("Invalid key");
+            return;
+        }
+        axios.post(env.api+"Users/confirmed?validityString="+param,{},{headers:{Authorization:localStorage.getItem('Auth')}}).then(el => {
+            setResult("Успешно потврдена емаил адреса. Ќе бидете редиректирани за 3 секунди")
+            setUser(user => {return {...user,isConfirmed: true}})
+            setTimeout(()=>{
+                history('/login')
+            },3000)
+        }).catch(er=>{
+            if(er.response.data.includes("Invalid check")){
+                setResult("Невалиден линк")
+            }
+            if(er.response.data.includes("Link expired")){
+                setResult("Линкот е стар. Ве молиме обновете го.")
+            }
+        });
+
+    },[])
+
+    return (
+        <div>
+            <Header/>
+            <div style={{textAlign:'center',margin:'50px'}}>
+                {result == "" ? <Spin/> : <h2>{result}</h2>}
+            </div>
+        </div>
+    )
+}
+export default Confirm;
Index: frontend/src/Auth/Reset.js
===================================================================
--- frontend/src/Auth/Reset.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
+++ frontend/src/Auth/Reset.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -0,0 +1,82 @@
+import React, {useEffect, useState} from 'react';
+import {Header} from "../Header";
+import {Button, Form, Input, Modal, notification, Spin} from "antd";
+import axios from "axios";
+import '../App.css'
+import env from "../env";
+import {useNavigate, useSearchParams} from "react-router-dom";
+
+const Reset = () => {
+
+    const [loading, setLoading] = useState(false);
+    const [searchParams, setSearchParams] = useSearchParams();
+
+    const history = useNavigate()
+    const resetPassword = (data) => {
+        setLoading(true)
+        const param = searchParams.get("id");
+        if(param==null){
+            Modal.error({
+                title: 'Невалиден линк',
+            });
+            return;
+        }
+        axios.post(env.api+"Users/reseted",{}, {
+            params: {
+                validityString: param,
+                newPassword: data.password
+            }}).then(el => {
+            setLoading(false)
+            Modal.success({
+                title: 'Успешно потврдена сменета лозинка. Ќе бидете редиректирани за 3 секунди',
+            });
+            setTimeout(()=>{
+                history('/login')
+            },3000)
+        }).catch(er=>{
+            setLoading(false)
+            if(er.response.data.includes("Invalid check")){
+                Modal.error({
+                    title: 'Невалиден линк',
+                });
+            }
+            if(er.response.data.includes("Link expired")){
+                Modal.error({
+                    title: 'Линкот е стар. Ве молиме обновете го.',
+                });
+            }
+        });
+    }
+
+    return (
+        <div>
+            <div style={{width:'100vw',height:'100vh', textAlign:'center',backgroundColor:'#F2F2F2'}}>
+                <div className='center' style={{backgroundColor:'white',padding:'40px', borderRadius:'20px'}}>
+                    <h1 style={{marginBottom:'40px'}}>Ресетирајте ја вашата лозинка</h1>
+                    <Form onFinish={resetPassword}
+                          onFinishFailed={() => Modal.error({title: "Ве молиме пополнете ги задолжителните полиња"})}>
+                        <Form.Item
+                            label="Нова лозинка"
+                            name="password"
+                            rules={[
+                                {
+                                    required: true,
+                                    message: 'Ве молиме внесете ја новата лозинка!',
+                                },
+                            ]}
+                        >
+                            <Input type={'password'}/>
+                        </Form.Item>
+                        <Form.Item>
+                            <Button type="primary" htmlType="submit" loading={loading}>
+                                Прати
+                            </Button>
+                        </Form.Item>
+                    </Form>
+                </div>
+            </div>
+        </div>
+    )
+}
+
+export default Reset;
Index: frontend/src/Auth/SendConfirm.js
===================================================================
--- frontend/src/Auth/SendConfirm.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
+++ frontend/src/Auth/SendConfirm.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -0,0 +1,46 @@
+import React, {useEffect} from 'react';
+import {Header} from "../Header";
+import {Button, Spin} from "antd";
+import axios from "axios";
+import env from "../env";
+
+const SendConfirm = ({setUser, user}) => {
+    const logout = () => {
+        localStorage.removeItem('Auth');
+        setUser(false)
+    }
+
+    const sendConfirmationEmail = () => {
+        axios.post(env.api + "Users/confirm", {}, {headers: {Authorization: localStorage.getItem('Auth')}}).then(el => {
+            console.log("sent")
+        }).catch(er => {
+            console.log(er);
+        });
+    }
+    useEffect(()=>{
+        console.log("once")
+        if(user && !user.isConfirmed) {
+            sendConfirmationEmail()
+        }
+    },[])
+
+    return (
+        <div>
+            <Header onClickButton={() => logout()} buttonText={'Одјави се'}/>
+            {!user.isConfirmed ?
+                <div style={{textAlign:'center',margin:'50px'}}>
+                    <h2>За да го користите овој вебсајт потребно е да го потврдите вашиот профил. Мејл за потврда на вашиот профил е пратен на вашата емаил адреса.</h2>
+                    <Button type='primary' onClick={sendConfirmationEmail}>
+                        Прати повторно
+                    </Button>
+                </div>
+                :
+                <div style={{textAlign:'center',margin:'50px'}}>
+                    <h2>Вашиот емаил е веќе потврден.</h2>
+                </div>
+            }
+        </div>
+    )
+}
+
+export default SendConfirm;
Index: frontend/src/Auth/SendReset.js
===================================================================
--- frontend/src/Auth/SendReset.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
+++ frontend/src/Auth/SendReset.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -0,0 +1,59 @@
+import React, {useEffect, useState} from 'react';
+import {Header} from "../Header";
+import {Button, Form, Input, Modal, notification, Spin} from "antd";
+import axios from "axios";
+import '../App.css'
+import env from "../env";
+
+const SendReset = () => {
+
+    const [loading, setLoading] = useState(false);
+
+    const sendResetEmail = (data) => {
+        setLoading(true)
+        axios.post(env.api + "Users/reset?email="+data.email, {}).then(el => {
+            setLoading(false);
+            Modal.success({
+                title: 'Инструкции за ресетирање на вашата лозинка се испратени на вашиот мејл',
+            });
+        }).catch(er => {
+            setLoading(false);
+            Modal.error({
+                title: 'Се случи проблем',
+            });
+            console.log(er);
+        });
+    }
+
+    return (
+        <div>
+            <div style={{width:'100vw',height:'100vh', textAlign:'center',backgroundColor:'#F2F2F2'}}>
+                <div className='center' style={{backgroundColor:'white',padding:'40px', borderRadius:'20px'}}>
+                    <h1 style={{marginBottom:'40px'}}>Ресетирајте ја вашата лозинка</h1>
+                    <Form onFinish={sendResetEmail}
+                          onFinishFailed={() => Modal.error({title: "Ве молиме пополнете ги задолжителните полиња"})}>
+                        <Form.Item
+                            label="Емаил"
+                            name="email"
+                            rules={[
+                                {
+                                    required: true,
+                                    message: 'Ве молиме внесете емаил!',
+                                },
+                            ]}
+                        >
+                            <Input/>
+                        </Form.Item>
+                        <Form.Item>
+                            <Button type="primary" htmlType="submit" loading={loading}>
+                                Прати
+                            </Button>
+                        </Form.Item>
+                    </Form>
+                </div>
+            </div>
+        </div>
+    )
+}
+
+export default SendReset;
Index: frontend/src/Auth/auth.js
===================================================================
--- frontend/src/Auth/auth.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
+++ frontend/src/Auth/auth.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -0,0 +1,178 @@
+import React, {useState} from 'react'
+import {useNavigate} from "react-router-dom";
+import {Button, Card, Form, Input, Modal, notification} from "antd";
+import { UserOutlined, LockOutlined } from '@ant-design/icons';
+import axios from "axios";
+import '../App.css'
+import env from "../env";
+
+const setAuthCookie = (token) => {
+    localStorage.setItem('Auth','Bearer '+token)
+}
+
+const Login = ({setUser}) => {
+    const history = useNavigate()
+
+    const [loading, setLoading] = useState(false)
+
+    const login = (attr) => {
+        setLoading(true)
+        axios.post(env.api+'Users/login',{email: attr.email, password: attr.password}).then(res => {
+            setAuthCookie(res.data.token)
+            console.log(res.data.token)
+            setUser(res.data)
+            setLoading(false)
+            history(res.data.isAdmin ? '/dashboard' : '/')
+        }).catch(el => {
+            Modal.error({
+                title: 'Погрешен мејл или лозинка',
+            });
+            setLoading(false)
+        })
+    }
+
+    return(
+        <div style={{width:'100vw',height:'100vh', textAlign:'center',backgroundColor:'#F2F2F2'}}>
+            <div className='center'>
+                <Card style={{backgroundColor:'white', width:'100%', borderRadius:'20px'}} className='center'>
+                    <h1>Најави се</h1>
+                    <Form
+                        name="normal_login"
+                        onFinish={res=>login(res)}
+                    >
+                        <Form.Item
+                            name="email"
+                            rules={[
+                                {
+                                    required: true,
+                                    message: 'Внесете мејл',
+                                },
+                                {
+                                    type: 'email',
+                                    message: 'Внесете валиден мејл',
+                                },
+                            ]}
+                        >
+                            <Input prefix={<UserOutlined className="site-form-item-icon" />} placeholder="Email" />
+                        </Form.Item>
+                        <Form.Item
+                            name="password"
+                            rules={[
+                                {
+                                    required: true,
+                                    message: 'Внесете лозинка!',
+                                }
+                            ]}
+                        >
+                            <Input
+                                prefix={<LockOutlined className="site-form-item-icon" />}
+                                type="password"
+                                placeholder="Password"
+                            />
+                        </Form.Item>
+
+                        <Form.Item style={{margin:'0px'}}>
+                            <Button type="primary" htmlType="submit" className="login-form-button" loading={loading}>
+                                Log in
+                            </Button>
+                            <div>
+                                Или <a href={"/register"}>регистрирај се!</a>
+                            </div>
+                        </Form.Item>
+                    </Form>
+                </Card>
+            </div>
+        </div>
+    )
+}
+
+const Register = ({setUser}) => {
+
+    const [loading, setLoading] = useState(false)
+    const history = useNavigate()
+    const register = (attr) => {
+        if (attr.password !== attr.confirm) {
+            Modal.error({
+                title: 'Лозинките не се исти',
+            });
+            return;
+        }
+        setLoading(true)
+        axios.post(env.api+'Users/register',{email: attr.email, password: attr.password}).then(res => {
+            setAuthCookie(res.data.token)
+            setUser(res.data)
+            setLoading(false)
+            history('/confirm-email')
+        })
+    }
+    return(
+        <div style={{width:'100vw',height:'100vh', textAlign:'center', backgroundColor:'#F2F2F2'}}>
+            <div className='center'>
+                <Card style={{backgroundColor:'white', width:'100%', borderRadius:'20px'}} className='center'>
+                    <h1>Регистрирај се</h1>
+                    <Form
+                        name="normal_login"
+                        onFinish={(attr)=>register(attr)}
+                    >
+                        <Form.Item
+                            name="email"
+                            rules={[
+                                {
+                                    required: true,
+                                    message: 'Внесете мејл',
+                                },
+                                {
+                                    type: 'email',
+                                    message: 'Внесете валиден мејл',
+                                },
+                            ]}
+                        >
+                            <Input prefix={<UserOutlined className="site-form-item-icon" />} placeholder="Email" />
+                        </Form.Item>
+                        <Form.Item
+                            name="password"
+                            rules={[
+                                {
+                                    required: true,
+                                    message: 'Внесете лозинка!',
+                                },
+                            ]}
+                        >
+                            <Input
+                                prefix={<LockOutlined className="site-form-item-icon" />}
+                                type="password"
+                                placeholder="Password"
+                            />
+                        </Form.Item>
+                        <Form.Item
+                            name="confirm"
+                            rules={[
+                                {
+                                    required: true,
+                                    message: 'Потврдете лозинка!',
+                                },
+                            ]}
+                        >
+                            <Input
+                                prefix={<LockOutlined className="site-form-item-icon" />}
+                                type="password"
+                                placeholder="Confirm password"
+                            />
+                        </Form.Item>
+
+                        <Form.Item style={{margin:'0px'}}>
+                            <Button type="primary" htmlType="submit" className="login-form-button" loading={loading}>
+                                Register
+                            </Button>
+                            <div>
+                                Или <a href={"/login"}>најави се!</a>
+                            </div>
+                        </Form.Item>
+                    </Form>
+                </Card>
+            </div>
+        </div>
+    )
+}
+
+export {Login,Register};
Index: frontend/src/Dashboard.js
===================================================================
--- frontend/src/Dashboard.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/Dashboard.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -11,5 +11,5 @@
     const history = useNavigate()
     const logout = () => {
-        sessionStorage.removeItem('Auth');
+        localStorage.removeItem('Auth');
         setUser(false)
     }
Index: frontend/src/Dashboard/Menu.js
===================================================================
--- frontend/src/Dashboard/Menu.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/Dashboard/Menu.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -25,5 +25,5 @@
     const addMenu = (data) => {
         setLoadingSave(true);
-        axios.post(env.api + 'Menu/',{...data,price: parseInt(data.price)}, { headers: {Authorization: sessionStorage.getItem('Auth')}
+        axios.post(env.api + 'Menu/',{...data,price: parseInt(data.price)}, { headers: {Authorization: localStorage.getItem('Auth')}
         }).then(res => {
             notification['success']({
@@ -42,5 +42,5 @@
 
     const deleteMenu = (id) => {
-        axios.delete(env.api + 'Menu/'+id, {headers: {Authorization: sessionStorage.getItem('Auth')}
+        axios.delete(env.api + 'Menu/'+id, {headers: {Authorization: localStorage.getItem('Auth')}
         }).then(res => {
             notification['success']({
Index: frontend/src/Dashboard/Reservations.js
===================================================================
--- frontend/src/Dashboard/Reservations.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/Dashboard/Reservations.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -26,8 +26,8 @@
                     from: date[0].format('YYYY-MM-DDThh:mm:ss') + 'Z',
                     to: date[1].format('YYYY-MM-DDThh:mm:ss') + 'Z'
-                }, headers: {Authorization: sessionStorage.getItem('Auth')}
+                }, headers: {Authorization: localStorage.getItem('Auth')}
             }).then(res => {
                 axios.get(env.api + 'Reservations/new', {
-                     headers: {Authorization: sessionStorage.getItem('Auth')}
+                     headers: {Authorization: localStorage.getItem('Auth')}
                 }).then(newres=>{
                     setNewReservations(newres.data);
@@ -54,5 +54,5 @@
             params: {
                 status: newStatus
-            }, headers: {Authorization: sessionStorage.getItem('Auth')}
+            }, headers: {Authorization: localStorage.getItem('Auth')}
         }).then(res => {
             getReservations()
@@ -68,5 +68,5 @@
             params: {
                 tableId: ev.target.value == '' ? 0 : ev.target.value
-            }, headers: {Authorization: sessionStorage.getItem('Auth')}
+            }, headers: {Authorization: localStorage.getItem('Auth')}
         }).then(res => {
             console.log("success");
Index: frontend/src/Dashboard/Restaurant.js
===================================================================
--- frontend/src/Dashboard/Restaurant.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/Dashboard/Restaurant.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -37,5 +37,5 @@
     const submitEdit = (form) => {
         setLoadingSave(true);
-        axios.put(env.api + 'Restaurants/',{...form}, { headers: {Authorization: sessionStorage.getItem('Auth')}
+        axios.put(env.api + 'Restaurants/',{...form}, { headers: {Authorization: localStorage.getItem('Auth')}
         }).then(res => {
             notification['success']({
Index: frontend/src/Dashboard/Review.js
===================================================================
--- frontend/src/Dashboard/Review.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/Dashboard/Review.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -1,4 +1,4 @@
 import React, {useEffect, useState} from 'react'
-import {Button, Card, Input, List, Rate, Spin, Tooltip} from "antd";
+import {Button, Card, Input, List, notification, Rate, Spin, Tooltip} from "antd";
 import axios from "axios";
 import env from "../env";
@@ -12,4 +12,5 @@
         setLoading(true);
         getRestaurant()
+        console.log(props.user)
     },[])
     useEffect(()=> {
@@ -36,5 +37,5 @@
                 {props.front ?
                     (props.user?
-                        <Button style={{float:'right'}} type={'primary'} onClick={()=>props.setVisible(true)}>Внеси оценка</Button>
+                        <Button style={{float:'right'}} type={'primary'} onClick={()=>props.user.isConfirmed ? props.setVisible(true) : notification['error']({message: <p>Мора да го потврдите вашиот мејл за да оставите оценка. <a href={'/confirm-email'}>Потврдете го тука</a></p>})}>Внеси оценка</Button>
                         : <Tooltip title={'Мора да се најавите за да оставите оценка'}><Button style={{float:'right'}} disabled type={'primary'} onClick={()=>props.setVisible(true)}>Внеси оценка</Button></Tooltip>)
                     : ''
Index: frontend/src/FrontPage.js
===================================================================
--- frontend/src/FrontPage.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/FrontPage.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -1,5 +1,5 @@
 import React, {useState, useEffect} from 'react'
 import {Header} from "./Header";
-import {useNavigate} from "react-router-dom";
+import {Link, useNavigate} from "react-router-dom";
 import {Button, Card, DatePicker, Form, Image, Input, Modal, notification, Rate, Spin} from "antd";
 import placeholderImage from '../src/Assets/placeholder.png'
@@ -26,7 +26,15 @@
     },[])
 
+    useEffect(()=>{
+        if(user && !user.isConfirmed) {
+            notification['warning']({
+                message: <p>Вашиот емаил не е потврден. <a href={'/confirm-email'}>Потврдете го тука</a></p>
+            });
+        }
+    },[user])
+
     const saveNewReview = data =>{
         setSaveModalLoading(true)
-        axios.post(env.api + 'Reviews',data,{ headers: {Authorization: sessionStorage.getItem('Auth')}}).then(res=>{
+        axios.post(env.api + 'Reviews',data,{ headers: {Authorization: localStorage.getItem('Auth')}}).then(res=>{
             setNewReviewModal(false)
             setSaveModalLoading(false)
Index: frontend/src/auth.js
===================================================================
--- frontend/src/auth.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ 	(revision )
@@ -1,178 +1,0 @@
-import React, {useState} from 'react'
-import {useNavigate} from "react-router-dom";
-import {Button, Card, Form, Input, Modal, notification} from "antd";
-import { UserOutlined, LockOutlined } from '@ant-design/icons';
-import axios from "axios";
-import './App.css'
-import env from "./env";
-
-const setAuthCookie = (token) => {
-    sessionStorage.setItem('Auth','Bearer '+token)
-}
-
-const Login = ({setUser}) => {
-    const history = useNavigate()
-
-    const [loading, setLoading] = useState(false)
-
-    const login = (attr) => {
-        setLoading(true)
-        axios.post(env.api+'Users/login',{email: attr.email, password: attr.password}).then(res => {
-            setAuthCookie(res.data.token)
-            console.log(res.data.token)
-            setUser(res.data)
-            setLoading(false)
-            history(res.data.isAdmin ? '/dashboard' : '/')
-        }).catch(el => {
-            Modal.error({
-                title: 'Погрешен мејл или лозинка',
-            });
-            setLoading(false)
-        })
-    }
-
-    return(
-        <div style={{width:'100vw',height:'100vh', textAlign:'center',backgroundColor:'#F2F2F2'}}>
-            <div className='center'>
-                <Card style={{backgroundColor:'white', width:'100%', borderRadius:'20px'}} className='center'>
-                    <h1>Најави се</h1>
-                    <Form
-                        name="normal_login"
-                        onFinish={res=>login(res)}
-                    >
-                        <Form.Item
-                            name="email"
-                            rules={[
-                                {
-                                    required: true,
-                                    message: 'Внесете мејл',
-                                },
-                                {
-                                    type: 'email',
-                                    message: 'Внесете валиден мејл',
-                                },
-                            ]}
-                        >
-                            <Input prefix={<UserOutlined className="site-form-item-icon" />} placeholder="Email" />
-                        </Form.Item>
-                        <Form.Item
-                            name="password"
-                            rules={[
-                                {
-                                    required: true,
-                                    message: 'Внесете лозинка!',
-                                }
-                            ]}
-                        >
-                            <Input
-                                prefix={<LockOutlined className="site-form-item-icon" />}
-                                type="password"
-                                placeholder="Password"
-                            />
-                        </Form.Item>
-
-                        <Form.Item style={{margin:'0px'}}>
-                            <Button type="primary" htmlType="submit" className="login-form-button" loading={loading}>
-                                Log in
-                            </Button>
-                            <div>
-                                Или <a href={"/register"}>регистрирај се!</a>
-                            </div>
-                        </Form.Item>
-                    </Form>
-                </Card>
-            </div>
-        </div>
-    )
-}
-
-const Register = ({setUser}) => {
-
-    const [loading, setLoading] = useState(false)
-    const history = useNavigate()
-    const register = (attr) => {
-        if (attr.password !== attr.confirm) {
-            Modal.error({
-                title: 'Лозинките не се исти',
-            });
-            return;
-        }
-        setLoading(true)
-        axios.post(env.api+'Users/register',{email: attr.email, password: attr.password}).then(res => {
-            setAuthCookie(res.data.token)
-            setUser(res.data)
-            setLoading(false)
-            history(res.data.isAdmin ? '/dashboard' : '/')
-        })
-    }
-    return(
-        <div style={{width:'100vw',height:'100vh', textAlign:'center', backgroundColor:'#F2F2F2'}}>
-            <div className='center'>
-                <Card style={{backgroundColor:'white', width:'100%', borderRadius:'20px'}} className='center'>
-                    <h1>Регистрирај се</h1>
-                    <Form
-                        name="normal_login"
-                        onFinish={(attr)=>register(attr)}
-                    >
-                        <Form.Item
-                            name="email"
-                            rules={[
-                                {
-                                    required: true,
-                                    message: 'Внесете мејл',
-                                },
-                                {
-                                    type: 'email',
-                                    message: 'Внесете валиден мејл',
-                                },
-                            ]}
-                        >
-                            <Input prefix={<UserOutlined className="site-form-item-icon" />} placeholder="Email" />
-                        </Form.Item>
-                        <Form.Item
-                            name="password"
-                            rules={[
-                                {
-                                    required: true,
-                                    message: 'Внесете лозинка!',
-                                },
-                            ]}
-                        >
-                            <Input
-                                prefix={<LockOutlined className="site-form-item-icon" />}
-                                type="password"
-                                placeholder="Password"
-                            />
-                        </Form.Item>
-                        <Form.Item
-                            name="confirm"
-                            rules={[
-                                {
-                                    required: true,
-                                    message: 'Потврдете лозинка!',
-                                },
-                            ]}
-                        >
-                            <Input
-                                prefix={<LockOutlined className="site-form-item-icon" />}
-                                type="password"
-                                placeholder="Confirm password"
-                            />
-                        </Form.Item>
-
-                        <Form.Item style={{margin:'0px'}}>
-                            <Button type="primary" htmlType="submit" className="login-form-button" loading={loading}>
-                                Register
-                            </Button>
-                            <div>
-                                Или <a href={"/login"}>најави се!</a>
-                            </div>
-                        </Form.Item>
-                    </Form>
-                </Card>
-            </div>
-        </div>
-    )
-}
-
-export {Login,Register};
Index: frontend/src/index.js
===================================================================
--- frontend/src/index.js	(revision 899b19da4d7326788e23e45dd1881ec1395e1d88)
+++ frontend/src/index.js	(revision a26f6a1dc0314af7fc65fdabb78f1acbaca506a0)
@@ -6,6 +6,4 @@
 const root = ReactDOM.createRoot(document.getElementById('root'));
 root.render(
-  <React.StrictMode>
     <App />
-  </React.StrictMode>
 );
